#include "GatewayInfo.h"

using Poco::DigestOutputStream;
using Poco::DigestEngine;
using Poco::MD5Engine;
using std::string;

namespace Platform {

namespace Default {

CGtwInfo::CGtwInfo(){
    generateSerialNumber();
    generateSecurityNumber();
}

std::string CGtwInfo::GetID() {
    return m_szSerialNumber;
}

std::string CGtwInfo::GetSecurityID() {
    return m_szSecurityId;
}

void CGtwInfo::removeColons(){
    size_t start_pos = 0;
    string from = ":";
    string to = "";
    while((start_pos = m_szSerialNumber.find(from, start_pos)) != std::string::npos) {
        m_szSerialNumber.replace(start_pos, from.length(), to);
        start_pos += to.length(); // Handles case where 'to' is a substring of 'from'
    }
}

void CGtwInfo::toUpperCase(std::string& _input){
    for(int i=0; _input[i]!= 0; i++){
        if(_input[i]<=122 && _input[i]>=97){
            _input[i] -=32;
        }
    }
}

void CGtwInfo::generateSerialNumber(){
    const int SERIAL_LENGTH =12;
    char serialNumber[SERIAL_LENGTH+1];
    memset(serialNumber, 0, SERIAL_LENGTH+1);
    int s;
    struct ifreq buffer;
    s = socket(PF_INET, SOCK_DGRAM, 0);
    memset(&buffer, 0x00, sizeof(buffer));
    strcpy(buffer.ifr_name, "eth0");
    ioctl(s, SIOCGIFHWADDR, &buffer);
    close(s);
    for( s = 0; s < 6; s++ ) {
        sprintf(serialNumber,"%s%.2X",serialNumber, (unsigned char)buffer.ifr_hwaddr.sa_data[s]);
    }
    m_szSerialNumber = string(serialNumber);

    toUpperCase(m_szSerialNumber);
    Poco::Logger::root().fatal("Serial id: " + m_szSerialNumber);
}

void CGtwInfo::generateSecurityNumber(){
    m_szSecurityId = "0000000000000000";
    MD5Engine md5;
    DigestOutputStream ostr(md5);
    ostr << m_szSerialNumber;
    ostr.flush();
    const DigestEngine::Digest& digest = md5.digest();
    m_szSecurityId = DigestEngine::digestToHex(digest).substr(0,16);
    toUpperCase(m_szSecurityId);
}

}
}
