/****************************************************************************
 *  Copyright (c) 2016 RT-RK d.o.o
 *
 *  All Rights Reserved
 *
 *  P R O P R I E T A R Y    &    C O N F I D E N T I A L
 *
 *  -----------------------------------------------------
 *  http://www.rt-rk.com
 *  -----------------------------------------------------
 *
 * \project Oblo Message Broker - Broker application.
 * \file GatewayInfo.h
 * \brief
 * Information about a OBLO gateway.
 *
 * @Author Milan Tucic
 *
 * \notes
 *
 * \history
 *****************************************************************************/
#ifndef OMB_GTW_INFO_H
#define OMB_GTW_INFO_H

#include "core/Platform.h"
#include "Poco/DigestStream.h"
#include "Poco/MD5Engine.h"
#include "Poco/Logger.h"
#include <sys/ioctl.h>
#include <mtd/mtd-user.h>
#include <sys/mman.h>
#include <unistd.h>
#include <fcntl.h>
#include <arpa/inet.h>
#include <net/if.h>

using std::string;


namespace Platform {

namespace Default {

class CGtwInfo: public IGtwInfo {
public:
    CGtwInfo();
    virtual std::string GetID();
    virtual std::string GetSecurityID();

private:
    void generateSerialNumber();
    void generateSecurityNumber();
    void toUpperCase(std::string& _input);
    void removeColons();

    string m_szSerialNumber;
    string m_szSecurityId;
};

}

}

#endif
