
set(WITH_OPENSSL ON)
set(WITH_BIG_ENDIAN ON)

if(NOT CMAKE_BUILD_TYPE OR NOT ${CMAKE_BUILD_TYPE} MATCHES "^(Debug|RelWithDebInfo)$")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Os -s")
endif()

list(APPEND OMB_SOURCE_FILES
        "${CMAKE_CURRENT_LIST_DIR}/src/Platform.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/src/GatewayInfo.cpp"
    )

list(APPEND OMB_HEADER_FILES
        "${CMAKE_CURRENT_LIST_DIR}/src/GatewayInfo.h"
    )

list(APPEND OMB_INCLUDE_DIRS
        $ENV{STAGING_DIR}/usr/include
        "${CMAKE_CURRENT_LIST_DIR}/src"
    )

list(APPEND OMB_LINK_DIRS
        $ENV{STAGING_DIR}/usr/lib
    )

list(APPEND OMB_LINK_LIBS
        dl
        ssl
        crypto
        pthread
        PocoData
        PocoDataSQLite
        PocoCrypto
        PocoNet
        PocoXML
        PocoUtil
        PocoJSON
        PocoFoundation
    )

add_definitions(-DPOCO_NO_FPENVIRONMENT)
