#include "GatewayInfo.h"
#include <stdio.h>
#include <signal.h>
#include <glob.h>
#include <unistd.h>
#include <fcntl.h>
#include <err.h>
#include <sys/mman.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/wait.h>
#include <sys/stat.h>
#include <net/if.h>
#include <fcntl.h>
#include <errno.h>
#include <cstring>

namespace Platform
{
namespace Novabase
{

#define MAP_SIZE (4096UL)
#define MAP_MASK (MAP_SIZE-1)
#define SECURE_ID_SIZE 64
#define MAC_ADDR_SIZE 12

CGtwInfo::CGtwInfo()
{
    char serial_id[MAC_ADDR_SIZE+1];
    char secure_id[SECURE_ID_SIZE];
    memset(serial_id, 0, MAC_ADDR_SIZE+1);
    memset(secure_id, 0, SECURE_ID_SIZE);
    ReadMACFromETH0(serial_id);
    ReadSecurityId(secure_id);
    m_sSerialId = std::string(serial_id);
    m_sSecurityId = std::string(secure_id);
}

std::string CGtwInfo::GetID()
{
    return m_sSerialId;
}

std::string CGtwInfo::GetSecurityID()
{
    return m_sSecurityId;
}

int CGtwInfo::ReadSecurityId(char *secure_id_s)
{
    static const std::string SECURITY_CMD = "updmngr --security";
    FILE *fp;

    fp = popen(SECURITY_CMD.c_str(), "r");
    if (fp!=NULL){
        fscanf(fp, "%s", secure_id_s);
        pclose(fp);
    }else{
        throw Poco::SystemException("Can't read security number");
    }
    return (EXIT_SUCCESS);
}

void CGtwInfo::ReadMACFromETH0(char* serial_id)
{
    static const std::string SERIAL_CMD = "updmngr --serial";
    FILE *fp;

    fp = popen(SERIAL_CMD.c_str(), "r");
    if (fp!=NULL){
        fscanf(fp, "%s", serial_id);
        pclose(fp);
    }else{
        throw Poco::SystemException("Can't read serial number!");
    }
}

} //Novabase
} //Platform
