/****************************************************************************
 *  Copyright (c) 2016 RT-RK d.o.o
 *
 *  All Rights Reserved
 *
 *  P R O P R I E T A R Y    &    C O N F I D E N T I A L
 *
 *  -----------------------------------------------------
 *  http://www.rt-rk.com
 *  -----------------------------------------------------
 *
 * \project Oblo Message Broker - Broker application.
 * \file GatewayInfo.h
 * \brief
 * Information about a DOC400 OBLO gateway.
 *
 * @Author Milan Tucic
 *
 * \notes
 *
 * \history
 *****************************************************************************/
#ifndef OMB_GTW_INFO_H
#define OMB_GTW_INFO_H

#include <core/Platform.h>
#include <string>

namespace Platform {

namespace Novabase {

class CGtwInfo: public IGtwInfo {
public:
	CGtwInfo();
    virtual std::string GetID();
    virtual std::string GetSecurityID();
private:
	int ReadSecurityId(char *secure_id_s);
	void ReadMACFromETH0(char* serial_id);
	std::string m_sSecurityId;
	std::string m_sSerialId;
};

}

}

#endif
