
set(WITH_OPENSSL ON)
set(WITH_TEST_API ON)
set(WITH_DEV_PACKAGE ON)

set(POCO_ROOT_DIR "${PROJECT_SOURCE_DIR}/libs/poco")

list(APPEND OMB_SOURCE_FILES
        "${CMAKE_CURRENT_LIST_DIR}/src/Platform.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/src/GatewayInfo.cpp"
    )

list(APPEND OMB_HEADER_FILES
        "${CMAKE_CURRENT_LIST_DIR}/src/GatewayInfo.h"
    )

list(APPEND OMB_INCLUDE_DIRS
        "${CMAKE_CURRENT_LIST_DIR}/src"
    )

if(POCO_ROOT_DIR)
    list(APPEND OMB_INCLUDE_DIRS
        "${POCO_ROOT_DIR}/include"
    )
    list(APPEND OMB_LINK_DIRS
        "${POCO_ROOT_DIR}/lib"
    )
endif()

if(WITH_OPENSSL AND OPENSSL_ROOT_DIR)
    list(APPEND OMB_INCLUDE_DIRS
        "${OPENSSL_ROOT_DIR}/include"
    )
    list(APPEND OMB_LINK_DIRS
        "${OPENSSL_ROOT_DIR}/lib"
        "${OPENSSL_ROOT_DIR}/VC"
        "${OPENSSL_ROOT_DIR}/VC/static"
    )
    list(APPEND OMB_LINK_LIBS
            libeay32
            ssleay32
        )
elseif(WITH_OPENSSL)
    if(NOT MSVC AND NOT MINGW)
		list(APPEND OMB_LINK_LIBS
                dl
				ssl
				crypto
				PocoCrypto
			)
    else(NOT MSVC AND NOT MINGW)
		list(APPEND OMB_LINK_LIBS
				ssleay32
				libeay32
                ws2_32
				PocoCrypto
		)
	endif(NOT MSVC AND NOT MINGW)
endif()

if(NOT MSVC)
    list(APPEND OMB_LINK_LIBS
            pthread
            PocoData
            PocoDataSQLite
            PocoNet
            PocoXML
            PocoUtil
            PocoJSON
            PocoFoundation
        )
endif()
