/****************************************************************************
 *  Copyright (c) 2016 RT-RK d.o.o
 *
 *  All Rights Reserved
 *
 *  P R O P R I E T A R Y    &    C O N F I D E N T I A L
 *
 *  -----------------------------------------------------
 *  http://www.rt-rk.com
 *  -----------------------------------------------------
 *
 * \project Oblo Message Broker - Broker application.
 * \file Globals.cpp
 * \brief
 * Global defines and constants.
 *
 * @Author Milan Tucic
 *
 * \notes
 *
 * \history
 *****************************************************************************/
#include "Globals.h"

#include <Poco/Random.h>
#include <Poco/SHA1Engine.h>

namespace MessageBroker {

std::string GenerateHash(int _nLength) {
    static Poco::Random rand;
    Poco::SHA1Engine engine;
    engine.update(rand.next());
    engine.update(rand.next());
    std::string hashDigest(Poco::DigestEngine::digestToHex(engine.digest()));
    return hashDigest.substr(0, _nLength);
}

}
