/****************************************************************************
 *  Copyright (c) 2018 OBLO Living LLC
 *
 *  All Rights Reserved
 *
 *  P R O P R I E T A R Y    &    C O N F I D E N T I A L
 *
 *  -----------------------------------------------------
 *  http://www.obloliving.com
 *  -----------------------------------------------------
 *
 * \project Oblo Message Broker - Broker application.
 * \file PahoMqttLogger.h
 * \brief
 * OMB apllication core.
 *
 * @Author Milan Tucic
 *
 * \notes
 *
 * \history
 * 13.12.2018 - Initial version
 *****************************************************************************/
#include "PahoMqttLogger.h"

namespace MessageBroker {

CPahoMqttLogger::CPahoMqttLogger() {
    setLoggerName("Paho");
}

CPahoMqttLogger::~CPahoMqttLogger() {
}

void CPahoMqttLogger::OnTrace(const std::string& _Msg) {
    trace(_Msg);
}

void CPahoMqttLogger::OnDebug(const std::string& _Msg) {
    debug(_Msg);
}

void CPahoMqttLogger::OnInformation(const std::string& _Msg) {
    information(_Msg);
}

void CPahoMqttLogger::OnWarning(const std::string& _Msg) {
    warning(_Msg);
}

void CPahoMqttLogger::OnError(const std::string& _Msg) {
    error(_Msg);
}

}
