/****************************************************************************
 *  Copyright (c) 2018 OBLO Living LLC
 *
 *  All Rights Reserved
 *
 *  P R O P R I E T A R Y    &    C O N F I D E N T I A L
 *
 *  -----------------------------------------------------
 *  http://www.obloliving.com
 *  -----------------------------------------------------
 *
 * \project Oblo Message Broker - Broker application.
 * \file PahoMqttLogger.cpp
 * \brief
 * OMB apllication core.
 *
 * @Author Milan Tucic
 *
 * \notes
 *
 * \history
 * 13.12.2018 - Initial version
 *****************************************************************************/
#ifndef OMB_PAHO_MQTT_LOGGER_H
#define OMB_PAHO_MQTT_LOGGER_H

#include "Logger.h"
#include <messenger/MqttLogger.h>

namespace MessageBroker {

class CPahoMqttLogger: protected Logger::CLogger, public Messenger::ILogListener {
public:
    CPahoMqttLogger();
    virtual ~CPahoMqttLogger();
    void OnTrace(const std::string& _Msg);
    void OnDebug(const std::string& _Msg);
    void OnInformation(const std::string& _Msg);
    void OnWarning(const std::string& _Msg);
    void OnError(const std::string& _Msg);
};

}

#endif
