/****************************************************************************
 *  Copyright (c) 2016 RT-RK d.o.o
 *
 *  All Rights Reserved
 *
 *  P R O P R I E T A R Y    &    C O N F I D E N T I A L
 *
 *  -----------------------------------------------------
 *  http://www.rt-rk.com
 *  -----------------------------------------------------
 *
 * \project Oblo Message Broker - Broker application.
 * \file Platform.h
 * \brief
 * Platform dependent code.
 *
 * @Author Milan Tucic
 *
 * \notes
 *
 * \history
 *****************************************************************************/
#ifndef OMB_PLATFORM_H
#define OMB_PLATFORM_H

#include <Poco/Exception.h>
#include <Poco/SharedPtr.h>

namespace Platform {

class IGtwInfo {
public:
    IGtwInfo() {}
    virtual ~IGtwInfo() {}
    typedef Poco::SharedPtr<IGtwInfo> Ptr;
    virtual std::string GetID()=0;
    virtual std::string GetSecurityID()=0;
};

class CPlatformFactory {
public:
    static IGtwInfo::Ptr MakeGtwInfo();
};

}

#endif
