/****************************************************************************
 *  Copyright (c) 2018 RT-RK d.o.o
 *
 *  All Rights Reserved
 *
 *  P R O P R I E T A R Y    &    C O N F I D E N T I A L
 *
 *  -----------------------------------------------------
 *  http://www.rt-rk.com
 *  -----------------------------------------------------
 *
 * \project Oblo Message Broker - Broker application.
 * \file ClientFactory.h
 * \brief
 * Client factory.
 *
 * @Author Milan Tucic
 *
 * \notes
 *
 * \history
 *****************************************************************************/
#ifndef OMB_MOSQUITTO_CLIENTFACTORY_H
#define OMB_MOSQUITTO_CLIENTFACTORY_H

#include "Clients.h"

namespace MessageBroker {
namespace Mosquitto {

class CClientFactory {
public:
    static CClientFactory& GetInstance() {
        static CClientFactory factory;
        return factory;
    }

    CClient* Create(const std::string& _szClientId, IClientInfoProvider& _rInfoProvider) const;
    static void ParseClientID(const std::string& _szClientID, CClientID& _Output);

private:
    CClientFactory();
    CClientFactory(CClientFactory const&);
    void operator=(CClientFactory const&);
};


}
}

#endif
