/****************************************************************************
 *  Copyright (c) 2018 OBLO Living LLC
 *
 *  All Rights Reserved
 *
 *  P R O P R I E T A R Y    &    C O N F I D E N T I A L
 *
 *  -----------------------------------------------------
 *  http://www.obloliving.com
 *  -----------------------------------------------------
 *
 * \project Oblo Message Broker - Broker application.
 * \file bridge/Events.cpp
 * \brief
 * OBLO bridge events.
 *
 * @Author Milan Tucic
 *
 * \notes
 *
 * \history
 * 28.8.2018 Initial implementation
 *****************************************************************************/
#include "Events.h"
#include "core/Globals.h"

namespace MessageBroker {
namespace Bridge {
namespace Event {

using namespace std;

const string CCloudStatusChanged::NAME = EVENT_CLOUD_STATUS_CHANGED;
const string CCloudSessionCleaned::NAME = EVENT_CLOUD_SESSION_CLEANED;

CCloudStatusChanged::CCloudStatusChanged(int _nStatus):
    CEvent(NAME), m_nStatus(_nStatus) {
}

Poco::DynamicStruct::Ptr CCloudStatusChanged::GetParams() const {
    Poco::DynamicStruct::Ptr params = new Poco::DynamicStruct();
    (*params)["status"] = m_nStatus;
    return params;
}

CCloudSessionCleaned::CCloudSessionCleaned(): CEvent(NAME) {
}

} // Event
} // Bridge
} // MessageBroker
