/****************************************************************************
 *  Copyright (c) 2018 OBLO Living LLC
 *
 *  All Rights Reserved
 *
 *  P R O P R I E T A R Y    &    C O N F I D E N T I A L
 *
 *  -----------------------------------------------------
 *  http://www.obloliving.com
 *  -----------------------------------------------------
 *
 * \project Oblo Message Broker - Broker application.
 * \file bridge/Events.h
 * \brief
 * OBLO bridge events.
 *
 * @Author Milan Tucic
 *
 * \notes
 *
 * \history
 * 28.8.2018 Initial implementation
 *****************************************************************************/
#ifndef OMB_BRIDGE_EVENTS_H
#define OMB_BRIDGE_EVENTS_H

#include <core/AppModule.h>

namespace MessageBroker {
namespace Bridge {
namespace Event {

class CCloudStatusChanged: public CEvent {
public:
    static const std::string NAME;
    CCloudStatusChanged(int _nStatus);
    Poco::DynamicStruct::Ptr GetParams() const;

private:
    int m_nStatus;
};

class CCloudSessionCleaned: public CEvent {
public:
    static const std::string NAME;
    CCloudSessionCleaned();
};

} // Event
} // Bridge
} // MessageBroker

#endif
