/****************************************************************************
 *  Copyright (c) 2016 RT-RK d.o.o
 *
 *  All Rights Reserved
 *
 *  P R O P R I E T A R Y    &    C O N F I D E N T I A L
 *
 *  -----------------------------------------------------
 *  http://www.rt-rk.com
 *  -----------------------------------------------------
 *
 * \project Oblo Message Broker - Broker application.
 * \file Config.cpp
 * \brief
 * OMB linker configuration helper.
 *
 * @Author Milan Tucic
 *
 * \notes
 *
 * \history
 *****************************************************************************/
#include "feature/linker/Config.h"

namespace MessageBroker {
namespace Linker {

const string CConfig::KEY_BASE = "linker.";

CConfig::CConfig(): SharedValues::CHelper(KEY_BASE) {
}

uint32_t CConfig::GetDiscoveryPeriod() const {
    return m_pConfigValues->getUInt(m_szKeyBase + "discovery_period", 10);
}

uint16_t CConfig::GetDiscoveryTimeout() const {
    return m_pConfigValues->getUInt(m_szKeyBase + "discovery_timeout", 60);
}

uint16_t CConfig::GetMaxLinks() const {
    return m_pConfigValues->getUInt(m_szKeyBase + "max_links", 10);
}

uint16_t CConfig::GetMaxRegFailures() const {
    return m_pConfigValues->getUInt(m_szKeyBase + "max_reg_failures", 10);
}

string CConfig::GetLocalAddr() const {
    return m_pConfigValues->getString(m_szKeyBase + "local.addr", "tcp://localhost:1883");
}

string CConfig::GetRemoteCaPath() const {
    return m_pConfigValues->getString(m_szKeyBase + "remote.ca_file", "");
}

} // Linker
} // MessageBroker
