/****************************************************************************
 *  Copyright (c) 2016 RT-RK d.o.o
 *
 *  All Rights Reserved
 *
 *  P R O P R I E T A R Y    &    C O N F I D E N T I A L
 *
 *  -----------------------------------------------------
 *  http://www.rt-rk.com
 *  -----------------------------------------------------
 *
 * \project Oblo Message Broker - Broker application.
 * \file Config.h
 * \brief
 * OMB linker configuration helper.
 *
 * @Author Milan Tucic
 *
 * \notes
 *
 * \history
 *****************************************************************************/
#ifndef OMB_LINKER_CONFIG_H
#define OMB_LINKER_CONFIG_H

#include "core/SharedValues.h"

namespace MessageBroker {
namespace Linker {

using namespace std;

class CConfig: public SharedValues::CHelper {
public:
    typedef Poco::SharedPtr<CConfig> Ptr;
    static const string KEY_BASE;

    CConfig();
    uint32_t GetDiscoveryPeriod() const;
    uint16_t GetDiscoveryTimeout() const;
    uint16_t GetMaxLinks() const;
    uint16_t GetMaxRegFailures() const;
    string GetLocalAddr() const;
    string GetRemoteCaPath() const;
};

} // Linker
} // MessageBroker

#endif
