#!/bin/bash

JMETER_HOME=$1
DEFAULT_JMETER_HOME=~/tools/jmeter
HOME=`pwd`
OBLOMSGR_JAR=oblomsgr-jmeter.jar

if [ "$JMETER_HOME" = "" ] ; then
	JMETER_HOME=$DEFAULT_JMETER_HOME
    echo "using default jmeter path."
fi

if [ ! -d $JMETER_HOME ] ; then
    echo "directory \"$JMETER_HOME\" not exists."
    echo "abort."
    exit 1
fi

if [ ! -e target/$OBLOMSGR_JAR ] ; then
    echo "distribution file \"$OBLOMSGR_JAR\" not exists."
    echo "abort."
    exit 1
fi

cp target/$OBLOMSGR_JAR lib/ext/$OBLOMSGR_JAR

cd $JMETER_HOME/lib/ext

echo "copy oblomsgr-jmeter jars..."
cp $HOME/lib/ext/$OBLOMSGR_JAR .

echo "done."
cd $HOME