
package org.apache.jmeter.protocol.oblomsgr.client;

import java.util.LinkedList;
import java.util.List;

import org.eclipse.paho.client.mqttv3.MqttCallback;
import org.eclipse.paho.client.mqttv3.MqttException;

public abstract class IObloClient implements MqttCallback {
    protected List<IMessageListener> listeners = new LinkedList<IMessageListener>();
    
    public abstract void connect() throws MqttException;
    public abstract void disconnect() throws MqttException;
    public abstract void publish(String topicName, int qos, String payload) throws MqttException;
    public abstract void subscribe(String topicName, int qos) throws MqttException;
    public abstract void unsubscribe(String topicName) throws MqttException;
    public abstract void close() throws MqttException;

    public abstract boolean isConnected();
    public abstract String getBrokerUrl();
    public abstract String getTag();
    public abstract int getProtocol();

    public synchronized void registerListener(IMessageListener listener) {
        listeners.add(listener);
    }

    public synchronized void unregisterListener(IMessageListener listener) {
        listeners.remove(listener);
    }
}
