
package org.apache.jmeter.protocol.oblomsgr.control.gui;

import java.awt.BorderLayout;

import javax.swing.JPanel;

import org.apache.jmeter.gui.util.VerticalPanel;
import org.apache.jmeter.protocol.oblomsgr.sampler.ObloMsgDeinitializer;
import org.apache.jmeter.protocol.oblomsgr.utilities.Constants;
import org.apache.jmeter.samplers.gui.AbstractSamplerGui;
import org.apache.jmeter.testelement.TestElement;

public class ObloMsgDeinitializerGui extends AbstractSamplerGui {
	private static final long serialVersionUID = 240L;

	public ObloMsgDeinitializerGui() {
		init();
	}

	@Override
	public String getLabelResource() {
		return this.getClass().getSimpleName();
	}

	@Override
	public String getStaticLabel() {
		return Constants.OBLOMSGR_TITLE_DEINITIALIZER;
	}

	@Override
	public TestElement createTestElement() {
		ObloMsgDeinitializer sampler = new ObloMsgDeinitializer();
		modifyTestElement(sampler);
		return sampler;
	}

	@Override
	public void modifyTestElement(TestElement s) {
		ObloMsgDeinitializer sampler = (ObloMsgDeinitializer) s;
		this.configureTestElement(sampler);
	}

	private void init() {
		setLayout(new BorderLayout());
		setBorder(makeBorder());
		add(makeTitlePanel(), BorderLayout.NORTH);
		JPanel mainPanel = new VerticalPanel();
		add(mainPanel, BorderLayout.CENTER);
	}

	@Override
	public void configure(TestElement el) {
		super.configure(el);
	}

	@Override
	public void clearGui() {
		super.clearGui();
	}
}
