
package org.apache.jmeter.protocol.oblomsgr.control.gui;

import java.awt.BorderLayout;
import java.awt.Color;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JCheckBox;

import org.apache.jmeter.gui.util.VerticalPanel;
import org.apache.jmeter.protocol.oblomsgr.sampler.ObloMsgStatusPublisher;
import org.apache.jmeter.protocol.oblomsgr.utilities.Constants;
import org.apache.jmeter.samplers.gui.AbstractSamplerGui;
import org.apache.jmeter.testelement.TestElement;

public class ObloMsgStatusPublisherGui extends AbstractSamplerGui {
    private static final long serialVersionUID = 240L;

    private final JCheckBox statusField = new JCheckBox(Constants.OBLOMSGR_STATUS_ONLINE);

    public ObloMsgStatusPublisherGui() {
        init();
    }

    @Override
    public String getLabelResource() {
        return this.getClass().getSimpleName();
    }

    @Override
    public String getStaticLabel() {
        return Constants.OBLOMSGR_TITLE_STATUS_PUBLISHER;
    }

    @Override
    public TestElement createTestElement() {
        ObloMsgStatusPublisher sampler = new ObloMsgStatusPublisher();
        modifyTestElement(sampler);
        return sampler;
    }

    @Override
    public void modifyTestElement(TestElement s) {
        ObloMsgStatusPublisher sampler = (ObloMsgStatusPublisher) s;
        this.configureTestElement(sampler);
        sampler.setStatusOnline(statusField.isSelected());
    }

    private void init() {
        setLayout(new BorderLayout());
        setBorder(makeBorder());
        add(makeTitlePanel(), BorderLayout.NORTH);

        JPanel mainPanel = new VerticalPanel();
        add(mainPanel, BorderLayout.CENTER);

        JPanel msgPanel = new VerticalPanel();
        msgPanel.add(statusField);
        msgPanel.setBorder(BorderFactory.createTitledBorder(BorderFactory.createLineBorder(Color.gray),
                "Status"));

        mainPanel.add(msgPanel);
    }

    @Override
    public void configure(TestElement el) {
        super.configure(el);
        ObloMsgStatusPublisher sampler = (ObloMsgStatusPublisher) el;
        statusField.setSelected(sampler.getStatusOnline());
    }

    @Override
    public void clearGui() {
        super.clearGui();
    }
}
