
package org.apache.jmeter.protocol.oblomsgr.data;

import org.json.JSONObject;
import java.lang.Exception;

public class RequestMessage extends ObloMessage {

    private String sender;
    private String type;
    private String name;

    public RequestMessage() {
        sender = "";
        type = "";
        name = "";
    }

    public void setSender(String sender) {
        this.sender = sender;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSender() {
        return sender;
    }

    public String getType() {
        return type;
    }

    public String getName() {
        return name;
    }

    public String toString(int protocol) {
        JSONObject json = new JSONObject();
        super.inflateJson(json, protocol);
        json.put("sender", sender);
        json.put("name", name);

        if(protocol==PROTOCOL_OBLO) {
            json.put("type", type);
        }

        return json.toString(4);
    }

    public static RequestMessage parseJson(String jsonText, int protocol) throws Exception {
        JSONObject req = new JSONObject(jsonText);
        RequestMessage request = new RequestMessage();

        ObloMessage.parseJson(req, request, protocol);
        String sender = req.getString("sender");
        String name = req.getString("name");
        String type = "";

        if (protocol==PROTOCOL_OBLO) {
            type = req.getString("type");
        }

        request.setSender(sender);
        request.setType(type);
        request.setName(name);
        return request;
    }
}
