
package org.apache.jmeter.protocol.oblomsgr.data;

import org.json.JSONObject;
import java.lang.Exception;

public class ResponseMessage extends ObloMessage {

    private int code;
    private String message;

    public ResponseMessage() {
        code = -1;
        message = "";
    }

    public void setCode(int code) {
        this.code = code;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public String toString(int protocol) {
        JSONObject json = new JSONObject();
        super.inflateJson(json, protocol);
        json.put("code", code);
        if( !message.isEmpty() ) {
            json.put("message", message);
        }

        return json.toString(4);
    }

    public static ResponseMessage parseJson(String jsonText, int protocol) throws Exception {
        JSONObject rspObj = new JSONObject(jsonText);
        ResponseMessage response = new ResponseMessage();

        ObloMessage.parseJson(rspObj, response, protocol);
        int code = rspObj.getInt("code");
        String message = "";

        if( rspObj.has("message") ) {
            message = rspObj.getString("message");
        }

        response.setCode(code);
        response.setMessage(message);
        return response;
    }
}
