
package org.apache.jmeter.protocol.oblomsgr.data;

import org.json.JSONObject;
import java.lang.Exception;

public class StatusMessage extends ObloMessage {

	private boolean online;

	public StatusMessage() {
        online = false;
	}

	public void setOnline(boolean online) {
		this.online = online;
	}

	public boolean isOnline() {
		return online;
	}

	public String toString(int protocol) {
        JSONObject json = new JSONObject();
        super.inflateJson(json, protocol);
        json.put("online", online);
        return json.toString(4);
	}

	public static StatusMessage parseJson(String jsonText, int protocol) throws Exception {
		JSONObject jsonObj = new JSONObject(jsonText);
		StatusMessage status = new StatusMessage();

		ObloMessage.parseJson(jsonObj, status, protocol);
        boolean online = jsonObj.getBoolean("online");
		status.setOnline(online);

		return status;
	}
}