
package org.apache.jmeter.protocol.oblomsgr.sampler;

import org.apache.jmeter.protocol.oblomsgr.client.ClientStore;
import org.apache.jmeter.protocol.oblomsgr.client.IObloClient;
import org.apache.jmeter.samplers.AbstractSampler;
import org.apache.jmeter.samplers.Entry;
import org.apache.jmeter.samplers.SampleResult;

public class ObloMsgDeinitializer extends AbstractSampler {

	private static final long serialVersionUID = 233L;

	public ObloMsgDeinitializer() {
	}

	@Override
	public SampleResult sample(Entry entry) {
		SampleResult result = new SampleResult();
		result.setSampleLabel(getName());
		result.sampleStart();

		ClientStore cliStore = ClientStore.getInstance();
		IObloClient client = cliStore.getClientByThread();

		try {
			if (client != null) {
				client.close();
				cliStore.removeClientByThread();
			}
			result.sampleEnd();
			result.setSuccessful(true);
			result.setResponseMessage("Logout completed.");
			result.setResponseCode("0");
		} catch (Exception e) {
			result.sampleEnd();
			result.setSuccessful(false);
			result.setResponseMessage("Unable to logout: " + e.toString());
			result.setDataType(org.apache.jmeter.samplers.SampleResult.TEXT);
			result.setResponseCode("-1");
		}

		return result;
	}
}
