
package org.apache.jmeter.protocol.oblomsgr.utilities;

public final class Constants {

    public static final String OBLOMSGR_TITLE_INITIALIZER = "OBLO Login";
    public static final String OBLOMSGR_TITLE_REQUESTER = "OBLO Req";
    public static final String OBLOMSGR_TITLE_RESPONDER = "OBLO Rsp";
    public static final String OBLOMSGR_TITLE_EVT_PUBLISHER = "OBLO Event";
    public static final String OBLOMSGR_TITLE_STATUS_PUBLISHER = "OBLO Status";
    public static final String OBLOMSGR_TITLE_EVT_LISTENER = "OBLO Event Sub";
    public static final String OBLOMSGR_TITLE_DEINITIALIZER = "OBLO Logout";

    public static final String OBLOMSGR_TAG = "User tag";
    public static final String OBLOMSGR_PREFIX = "Topic prefix (optional)";
    public static final String OBLOMSGR_CLIENT_ID = "Client ID (optional)";
    public static final String OBLOMSGR_USERNAME = "Username (optional)";
    public static final String OBLOMSGR_PASSWORD = "Password (optional)";
    public static final String OBLOMSGR_KEEPALIVE = "Keepalive";
    public static final String OBLOMSGR_CLEANSESSION = "Clean session";
    public static final String OBLOMSGR_AUTORECONNECT = "Auto-reconnect";
    public static final String OBLOMSGR_PROTOCOL = "Protocol version: ";
    public static final String OBLOMSGR_OMB_URL = "Broker URL";
    public static final String OBLOMSGR_SENDER = "Sender";
    public static final String OBLOMSGR_USER_TAG = "Send to";
    public static final String OBLOMSGR_TIMEOUT = "Timeout period [ms]";
    public static final String OBLOMSGR_REQ_FUNCT = "On functionality (optional)";
    public static final String OBLOMSGR_REQ_TYPE = "Request type (optional)";
    public static final String OBLOMSGR_REQ_NAME = "Request name";
    public static final String OBLOMSGR_PARAMS = "Parameters (optional)";
    public static final String OBLOMSGR_RSP_PARAMS = "Parameters (optional). If left empty, response will not be sent. Use empty JSON object '{}' to send response OK";
    public static final String OBLOMSGR_EVT_SENDER = "Event sender";
    public static final String OBLOMSGR_EVT_SENDER_FUNCT = "Sender's functionality (optional)";
    public static final String OBLOMSGR_EVT_FUNCT = "Functionality (optional)";
    public static final String OBLOMSGR_EVT_NAME = "Event name";
    public static final String OBLOMSGR_STATUS_ONLINE = "Online";
    public static final String OBLOMSGR_GTW_SERIAL = "Gateway serial ID";
    public static final String OBLOMSGR_GTW_SECURITY = "Gateway security ID";

    public static final String OBLOMSGR_OMB_DEFAULT_URL = "tcp://localhost:1883";
    public static final String OBLOMSGR_DEFAULT_TIMEOUT = "3000";
    public static final String OBLOMSGR_DEFAULT_KEEPALIVE = "60";
    public static final boolean OBLOMSGR_DEFAULT_CLEANSESSION = false;
    public static final boolean OBLOMSGR_DEFAULT_AUTORECONNECT = false;
    public static final int OBLOMSGR_DEFAULT_PROTOCOL = 0;
    public static final String[] OBLOMSGR_PROTOCOL_OPTIONS = { "OBLO 1.0", "WISE 1.0" };
    public static final int OBLOMSGR_PROTOCOL_OBLO = 0;
    public static final int OBLOMSGR_PROTOCOL_WISE = 1;
}
