@echo off
setlocal enabledelayedexpansion

set ROOT_DIR=%cd%
set OS=Win
set PLATFORM=x86

rem VS_VERSION {90 | 100 | 110 | 120 | 140}
if "%1"=="" (
  set VS_VERSION=vs110
) else (
  set VS_VERSION=vs%1
)

if not defined VCINSTALLDIR (
  if %VS_VERSION%==vs90 (
      call "%VS90COMNTOOLS%vsvars32.bat"
  ) else (
    if %VS_VERSION%==vs100 (
        call "%VS100COMNTOOLS%vsvars32.bat"
    ) else (
      if %VS_VERSION%==vs110 (
          call "%VS110COMNTOOLS%vsvars32.bat"
      ) else (
        if %VS_VERSION%==vs120 (
            call "%VS120COMNTOOLS%vsvars32.bat
        ) else (
          if %VS_VERSION%==vs140 (
              call "%VS140COMNTOOLS%vsvars32.bat
          )
        )
      )
    )
  )
)

if not defined VSINSTALLDIR (
  echo Error: No Visual C++ environment found.
  echo Please run this script from a Visual Studio Command Prompt
  echo or run "%%VSnnCOMNTOOLS%%\vsvars32.bat" first.
  goto :EOF
)

cd "%ROOT_DIR%\pre-build"
rmdir /s /q "%cd%\build"
mkdir "%cd%\build"
cd "%cd%\build"

echo "### Updating pre-builds for %OS%-%PLATFORM%"

for /f %%G in ('dir /b /a:d "%ROOT_DIR%\product\customer"') do (
    echo "### Building for customer: %%G"

    rmdir /s /q "%ROOT_DIR%\bins"
    cmake -DCMAKE_BUILD_TYPE=Release -DCUSTOMER=%%G %ROOT_DIR%

    msbuild oblomb.vcxproj /p:Configuration=Release
    msbuild INSTALL.vcxproj /p:Configuration=Release

    rmdir /s /q "%ROOT_DIR%\pre-build\%OS%-%PLATFORM%-%%G"
    move "%ROOT_DIR%\bins" "%ROOT_DIR%\pre-build\%OS%-%PLATFORM%-%%G"
  )

cd ..
rmdir /s /q build

echo "### Pre-build directory is updated."