#!/bin/bash
ROOT_DIR=$(pwd)
OS=$(uname)
PLATFORM=$(uname -p)

cd pre-build
rm -f -r build
mkdir build
cd build

echo "### Updating pre-build for $OS-$PLATFORM"

for CUSTOMER in $(ls "$ROOT_DIR/product/customer"); do
  echo "### Building for customer: $CUSTOMER"
  rm -f -r "$ROOT_DIR/bins"
  cmake -DCMAKE_BUILD_TYPE=Release -DCUSTOMER=$CUSTOMER $ROOT_DIR
  make install
  OUTPUT_DIR="$ROOT_DIR/pre-build/$OS-$PLATFORM-$CUSTOMER"
  rm -f -r $OUTPUT_DIR
  mv "$ROOT_DIR/bins" $OUTPUT_DIR
done

cd ..
rm -r build

echo "### Pre-build directory is updated."

